Package be.vlaanderen.mercurius.mohm.schemas.v1

# Class DecisionBasicEquipmentType

java.lang.Object
be.vlaanderen.mercurius.mohm.schemas.v1.DecisionBasicEquipmentType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class DecisionBasicEquipmentType extends Object implements Serializable
Generiek type voor het basishulpmiddel in een beslissing.

Java class for DecisionBasicEquipmentType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DecisionBasicEquipmentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="EquipmentID" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}EquipmentIDType"/>
             <element name="CareServiceCode" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}CareServiceCodeType"/>
             <element name="Description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Productnumber" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ProductNumberType" minOccurs="0"/>
             <element name="Forfait" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}CareServiceCodeType" minOccurs="0"/>
             <element name="Amount" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}AmountType" minOccurs="0"/>
             <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}CareServiceCodeStatusType"/>
             <element name="Reason" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Motivation" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}MotivationType" minOccurs="0"/>
             <element name="StatusDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecisionBasicEquipmentType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getAmount()`
  Toegekend bedrag voor het mobiliteitshulpmiddel.
  `String`
  `getCareServiceCode()`
  Prestatiecode van het mobiliteitshulpmiddel.
  `String`
  `getDescription()`
  Korte omschrijving van het mobiliteitshulpmiddel.
  `String`
  `getEquipmentID()`
  Unieke ID van het mobiliteitshulpmiddel.
  `String`
  `getForfait()`
  Toegekende prestatiecode voor het mobiliteitshulpmiddel.
  `String`
  `getMotivation()`
  Veld met motivatie bij de beslissing.
  `String`
  `getProductnumber()`
  Productcode van het mobiliteitshulpmiddel.
  `List<String>`
  `getReasons()`
  Reden wordt enkel ingevuld als de aanvraag automatisch werd geweigerd.
  `CareServiceCodeStatusType`
  `getStatus()`
  Status van het mobiliteitshulpmiddel na de beslissing: aanvaard of geweigerd
  `Instant`
  `getStatusDate()`
  Datum van de status van het mobiliteitshulpmiddel.
  `void`
  `setAmount(BigDecimal value)`
  Sets the value of the amount property.
  `void`
  `setCareServiceCode(String value)`
  Sets the value of the careServiceCode property.
  `void`
  `setDescription(String value)`
  Sets the value of the description property.
  `void`
  `setEquipmentID(String value)`
  Sets the value of the equipmentID property.
  `void`
  `setForfait(String value)`
  Sets the value of the forfait property.
  `void`
  `setMotivation(String value)`
  Sets the value of the motivation property.
  `void`
  `setProductnumber(String value)`
  Sets the value of the productnumber property.
  `void`
  `setStatus(CareServiceCodeStatusType value)`
  Sets the value of the status property.
  `void`
  `setStatusDate(Instant value)`
  Sets the value of the statusDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DecisionBasicEquipmentType

    public DecisionBasicEquipmentType()

- ## Method Details

  - ### getEquipmentID

    public String getEquipmentID()
    Unieke ID van het mobiliteitshulpmiddel.
    Returns:
      possible object is `String`

  - ### setEquipmentID

    public void setEquipmentID(String value)
    Sets the value of the equipmentID property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getEquipmentID()`

  - ### getCareServiceCode

    public String getCareServiceCode()
    Prestatiecode van het mobiliteitshulpmiddel.
    Returns:
      possible object is `String`

  - ### setCareServiceCode

    public void setCareServiceCode(String value)
    Sets the value of the careServiceCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCareServiceCode()`

  - ### getDescription

    public String getDescription()
    Korte omschrijving van het mobiliteitshulpmiddel.
    Returns:
      possible object is `String`

  - ### setDescription

    public void setDescription(String value)
    Sets the value of the description property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDescription()`

  - ### getProductnumber

    public String getProductnumber()
    Productcode van het mobiliteitshulpmiddel.
    Returns:
      possible object is `String`

  - ### setProductnumber

    public void setProductnumber(String value)
    Sets the value of the productnumber property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getProductnumber()`

  - ### getForfait

    public String getForfait()
    Toegekende prestatiecode voor het mobiliteitshulpmiddel.
    Returns:
      possible object is `String`

  - ### setForfait

    public void setForfait(String value)
    Sets the value of the forfait property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getForfait()`

  - ### getAmount

    public BigDecimal getAmount()
    Toegekend bedrag voor het mobiliteitshulpmiddel.
    Returns:
      possible object is `BigDecimal`

  - ### setAmount

    public void setAmount(BigDecimal value)
    Sets the value of the amount property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getAmount()`

  - ### getStatus

    public CareServiceCodeStatusType getStatus()
    Status van het mobiliteitshulpmiddel na de beslissing: aanvaard of geweigerd
    Returns:
      possible object is `CareServiceCodeStatusType`

  - ### setStatus

    public void setStatus(CareServiceCodeStatusType value)
    Sets the value of the status property.
    Parameters:
      `value` - allowed object is `CareServiceCodeStatusType`
    See Also:
      - `getStatus()`

  - ### getReasons

    public List<String> getReasons()
    Reden wordt enkel ingevuld als de aanvraag automatisch werd geweigerd. Er kunnen meerdere redenen van weigering zijn. Gets the value of the reasons property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the reasons property.

    For example, to add a new item, do as follows:

         getReasons().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the reasons property.

  - ### getMotivation

    public String getMotivation()
    Veld met motivatie bij de beslissing. De motivatie kan ingevuld worden door de zorgkas, zorgkassencommissie of bijzondere technische commissie. Dit is afhankelijk van welke procedure de aanvraag volgt.
    Returns:
      possible object is `String`

  - ### setMotivation

    public void setMotivation(String value)
    Sets the value of the motivation property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getMotivation()`

  - ### getStatusDate

    public Instant getStatusDate()
    Datum van de status van het mobiliteitshulpmiddel.
    Returns:
      possible object is `String`

  - ### setStatusDate

    public void setStatusDate(Instant value)
    Sets the value of the statusDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getStatusDate()`